import {getOpenId, getUserData} from '../api/login.js'
export function getUserInfo() {
    return new Promise((resolve)=> {
        wx.login({
            success: result=> {
                let code = result.code
                getOpenId(code).then((i=> {
                    if(i.code === 0) {
                        const openId = i.data
                        getUserData(openId).then(m=> {
                            let userInfo = {}
                            userInfo.nickname = m.data.nickname
                            userInfo.headimgurl = m.data.headimgurl
                            wx.setStorage({
                                key: 'openId',
                                data: openId
                            })
                            wx.setStorage({
                                key: 'userInfo',
                                data:userInfo
                            })
                            resolve({
                                openId: openId,
                                userInfo: userInfo
                            })
                        })
                    }
                }))
            }
        })
    }) 
}