const {request} = require("../request/index")
/**
 * 获取openId
 */
export const getOpenId = function (code) {
    return request({
        url: `/wx/openid/${code}`,
        method: 'GET',
    })
}
/**
 * 获取openId
 */
export const getUserData = function (openid) {
    return request({
        url: `/wx/westreamUser/${openid}`,
        method: 'GET',
    })
}
/**
 * 查询省市区对应城市代码
 */
export const getCityNameCode = function (data) {
    return request({
        url: '/city/cityNameAndCode',
        method: 'GET',
        data
    })
}

/**
 * 在线心跳
 */
export const IsOnlive = function (data) {
    return request({
        url: '/index/westreamUser/edit',
        method: 'PUT',
        data
    })
}
